require 'json'

module Fbp

=begin rdoc
=== Description
The Decode node takes it incoming IP that is an JSON encoded IP and decodes it
into a Ruby hash to be sent on to the downstream node.

This node would be used when receiving an IP from another machine or another process
on the same machine.
=end
	class Decode_node < Node

=begin rdoc
When an IP comes in it will be checked for the :json key.  If is exists
then the data will be extracted and the reconstituted data will be sent
to the down stream node.  If the IP does not have the :json key it will
be sent to the down stream node as is.
=end
		def do_node_work(args)
      return super(args) if !args.has_key?(:json)
			decoded_obj = nil
			begin
				decoded_obj = JSON.parse(args)
			rescue
				decoded_obj = nil
			end
			super(decoded_obj)
		end
		
	end

end