require 'json'

module Fbp
=begin
=== Description
The Encode node takes it incoming IP and encodes the IP into a JSON string.  This data
is then added to the incoming IP and sent to the downstream node.

This node would be used when sending IPs to another machine or another process
on the same machine.
=end
	class Encode_node < Node

=begin rdoc
When an IP comes in it will be converted into a JSON text object.
That text object will then be append to the incoming IP with the
:json key and sent to the down stream node.
=end
		def do_node_work(args)
			encoded_obj = nil
			begin
				encoded_obj = args.to_json
			rescue
				encoded_obj = nil
			end
			args.merge!({:json => encoded_obj}) if !encoded_obj.nil?
			super(args)
		end
	end

end